"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clean = void 0;

var _fsExtra = require("fs-extra");

var _path = require("path");

var _defaults = require("../defaults");

// @ts-check
const clean = async ({
  cwd = process.cwd(),
  dirs = [_defaults.defaults.libOutDir]
} = {}) => {
  const packageJson = (0, _path.join)(cwd, 'package.json');

  if ((0, _fsExtra.existsSync)(packageJson)) {
    const existing = dirs.filter(dir => (0, _fsExtra.existsSync)(dir));

    if (existing.length === 0) {
      console.log('👌  clean: nothing to clean');
      return;
    }

    for (const dir of dirs) {
      const cleanPath = (0, _path.join)(cwd, dir);
      console.log('🗑  clean: deleting', cleanPath);
      await (0, _fsExtra.emptyDir)(cleanPath);
      await (0, _fsExtra.rmdir)(cleanPath);
    }
  } else {
    console.log('💥  clean: no package.json found, is your current directory correct?');
    process.exit(-1);
  }
};

exports.clean = clean;
//# sourceMappingURL=clean.js.map