"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.combineCoverage = void 0;

var _istanbulLibCoverage = require("istanbul-lib-coverage");

var _istanbulApi = require("istanbul-api");

var _fastGlob = require("fast-glob");

// @ts-check

/**
 * @param {Partial<CombineCoverageParams>} paramsRaw
 */
const combineCoverage = (paramsRaw = {}) => {
  const cwd = paramsRaw.cwd || process.cwd();
  /**
   * @type {string[]}
   */

  const filePaths = (0, _fastGlob.sync)('./coverage-*/coverage-final.json', {
    cwd,
    onlyFiles: true,
    absolute: true
  });
  const coverageData = filePaths.map(filePath => require(filePath));
  const map = (0, _istanbulLibCoverage.createCoverageMap)();

  for (const data of coverageData) {
    map.merge(data);
  }

  const reporter = (0, _istanbulApi.createReporter)();
  reporter.addAll(['json', 'lcov', 'text']);
  reporter.write(map);
};

exports.combineCoverage = combineCoverage;
//# sourceMappingURL=combineCoverage.js.map